低危 堆栈内存泄漏漏洞

CVE编号

CVE-2018-20855

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-07-26
漏洞描述
在4.18.7之前的Linux内核中发现了一个问题。在drivers / infiniband / hw / mlx5 / qp.c中的create_qp_common中,mlx5_ib_create_qp_resp从未初始化,导致堆栈内存泄漏到用户空间。

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=0625b4ba1a5d4703c7fb01c497bd6c156908af00
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 netapp active_iq_performance_analytics_services - -
运行在以下环境
应用 netapp active_iq_unified_manager * From
(including)
9.5
运行在以下环境
应用 netapp data_availability_services - -
运行在以下环境
应用 netapp element_software - -
运行在以下环境
系统 linux linux_kernel * Up to
(excluding)
4.18.7
运行在以下环境
系统 opensuse leap 15.0 -
运行在以下环境
系统 opensuse leap 15.1 -
运行在以下环境
系统 opensuse_Leap_15.0 kernel * Up to
(excluding)
4.12.14-lp150.12.70.1
运行在以下环境
系统 opensuse_Leap_15.1 kernel * Up to
(excluding)
4.12.14-lp151.28.13.1
运行在以下环境
系统 oracle linux_7 kernel * Up to
(excluding)
4.14.35-1902.6.6.el7uek
运行在以下环境
系统 oracle_7 kernel * Up to
(excluding)
4.14.35-1902.6.6.el7uek
运行在以下环境
系统 sles_12 kernel-default-extra * Up to
(excluding)
4.12.14-120
运行在以下环境
系统 sles_12_SP4 kernel * Up to
(excluding)
4.12.14-6.23.1
运行在以下环境
系统 suse_12_SP4 kernel * Up to
(excluding)
4.12.14-6.23.1
运行在以下环境
系统 ubuntu_14.04_lts linux * Up to
(excluding)
3.11.0-12.19
运行在以下环境
系统 ubuntu_16.04_lts linux * Up to
(excluding)
4.2.0-16.19
运行在以下环境
系统 ubuntu_18.04_lts linux * Up to
(excluding)
4.13.0-16.19
阿里云评分
2.9
  • 攻击路径
    本地
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
阿里云安全产品覆盖情况